Package org.bukkit.entity

# Enum Class Villager.Type

java.lang.Object
java.lang.Enum<Villager.Type>
org.bukkit.entity.Villager.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Villager.Type>`, `Constable`, `Keyed`

Enclosing interface:
  Villager

public static enum Villager.Type extends Enum<Villager.Type> implements Keyed
Represents Villager type, usually corresponding to what biome they spawn in.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DESERT`
`JUNGLE`
`PLAINS`
`SAVANNA`
`SNOW`
`SWAMP`
`TAIGA`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static Villager.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Villager.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DESERT

public static final Villager.Type DESERT

### JUNGLE

public static final Villager.Type JUNGLE

### PLAINS

public static final Villager.Type PLAINS

### SAVANNA

public static final Villager.Type SAVANNA

### SNOW

public static final Villager.Type SNOW

### SWAMP

public static final Villager.Type SWAMP

### TAIGA

public static final Villager.Type TAIGA

## Method Details

### values

public static Villager.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Villager.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key